<?php
	
	
	include "koneksi.php";
	$id = mysqli_real_escape_string($conn, $_GET["id"]);
    $q = "SELECT * FROM data_karyawan WHERE id='$id'";

	$alamatcuti=$_POST["alamatcuti"];
	$jeniscuti=$_POST["jeniscuti"];
	$sisa_cuti_tahun=$_POST["sisa_cuti_tahun"];
	$mulaicutitanggal=$_POST["mulaicutitanggal"];
	$alasan=$_POST["alasan"];
	$masukkembalitanggal=$_POST["masukkembalitanggal"];
	$tanggalpengajuancuti=$_POST["tanggalpengajuancuti"];
	$tanggallapor=$_POST["tanggallapor"];
	$cutiberapahari=$_POST["cutiberapahari"];
	
	$result = mysqli_query($conn, $q);
	$row = mysqli_fetch_array($result);
	$cutiBesar = $row['sisa_cuti_besar'];
	$cutipernikahan = $row['cuti_pernikahan'];
	
	
	
	
	$s = "SELECT * FROM jenis_cuti WHERE id=" .$jeniscuti;
                                    $resi = mysqli_query($conn,$s);
                                    $rowi = mysqli_fetch_array($resi);
									echo $rowi["batas_cuti"];
									$batas = $rowi["batas_cuti"];
	//$jumlah = $sisa_cuti_tahun - $cutiberapahari;
	
	
	//echo "namanya : " . $id;
	//echo "jumlahh.... : " . $jumlah;
	
	
	//$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	  //                                   alamat,
		//								 id_jenis_cuti,
			///							 sisa_cuti,
				//						 tanggal_awal_cuti,
					//					 tanggal_pengajuan_cuti,
						//				 alasan_cuti,
							//			 tanggal_akhir_cuti,
								//		 tanggal_lapor_cuti,
									//	 status)
							
							       //VALUE
							         //    ('$id',
										//  '$alamatcuti',
										  //'$jeniscuti',
										//  '$jumlah',
										  //'$mulaicutitanggal',
										  //'$tanggalpengajuancuti',
										  //'$alasan',
										  //'$masukkembalitanggal',
										  //'$tanggallapor',
										  //'1')";
	
	
	//$query2 = "UPDATE data_karyawan SET sisa_cuti_tahun='$jumlah' WHERE id=$id";
	////$query2 = "INSERT INTO data_pasangan (nama,jenis_kelamin,tempat_lahir,tanggal_lahir,nik_pasangan)
		////					VALUE ('$namapasangan','$jeniskelamin','$tempatlahir','$tanggallahirpasangan','$nikpasangan','$nikpasangan')";
	//$result = mysqli_query($conn, $query);
	//$result2 = mysqli_query($conn, $query2);
	

	//echo "query = " . $query . "</br>";
	//echo "query2 = " . $query2 . "</br>";
	
	if ($jeniscuti == '1')
	{
		echo "cuti tahunan";
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$jumlah',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
	
	     $jumlah = $sisa_cuti_tahun - $cutiberapahari;
	     $query2 = "UPDATE data_karyawan SET sisa_cuti_tahun='$jumlah' WHERE id=$id";
		 
		 $result = mysqli_query($conn, $query);
	     $result2 = mysqli_query($conn, $query2);
		if($result)
	    {
			echo "cuti tahunan 1";
			//$result = mysqli_query($conn, $query);
	        //$result2 = mysqli_query($conn, $query2);
		    ////echo "Data periode berhasil masuk";
		    header("location:cuti.php?p=1");
	    }
	    else
	    {
		    header("location:cuti.php?p=2");
		    die("Error");
	    }
	}
	else if ($jeniscuti == '2')
	{
		echo "cuti besar";
		
		if ($cutiBesar == '1')
		{
			$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $result = mysqli_query($conn, $query);
										  
				if($result)
	            {
			        echo "cuti besar 1";
			        //$result = mysqli_query($conn, $query);
		            header("location:cuti.php?p=1");
	            }
	            else
	            {
		            header("location:tambahkaryawan.php?p=2");
		            die("Error");
	            }
		}
		else if($cutiBesar == '0')
		{
			//header("location:cuti.php?pesan=Masa Kerja Belum 7 Th");
			header("location:cuti.php?p=4");
		}
	}
	else if ($jeniscuti == '3')
	{
		echo "cuti pernikahan 11";
		echo $cutipernikahan;
		echo $alasan;
		if ($cutipernikahan == '0')
		{
			header("location:cuti.php?p=1");
			echo "cuti pernikahan 22";
			$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_pernikahan='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		        if($result)
	            {  
		     	    echo "cuti pernikahan 1";
		     	    //$result = mysqli_query($conn, $query);
		            header("location:cuti.php?p=1");
	            }
	            else
	            {
		            header("location:cuti.php?p=2");
		            die("Error");
	            }	
		}
		else if($cutipernikahan == '1')
		{
			header("location:cuti.php?p=5");
		}
		
		
	}
	else if ($jeniscuti == '4')
	{
		echo "cuti hamil";
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_hamil='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		if($result)
	    {
			echo "cuti hamil 1";
			//$result = mysqli_query($conn, $query);
		    header("location:cuti.php?p=1");
	    }
	    else
	    {
		    header("location:cuti.php?p=2");
		    die("Error");
	    }
	}
	else if ($jeniscuti == '5')
	{
		echo "cuti kelahiran";
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_kelahiran='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		if($result)
	    {
			echo "cuti kelahiran 1";
			//$result = mysqli_query($conn, $query);
		    header("location:cuti.php?p=1");
	    }
	    else
	    {
		    header("location:cuti.php?p=2");
		    die("Error");
	    }
	}
	else if ($jeniscuti == '6')
	{
		echo "cuti kematian";
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_kematian='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		if($result)
	    {
			echo "cuti kematian 1";
			//$result = mysqli_query($conn, $query);
		    //header("location:cuti.php?pesan=berhasilInputKematian");
	    }
	    else
	    {
		    //header("location:tambahkaryawan.php?pesan=gagalInput");
		    die("Error");
	    }
	}
	else if ($jeniscuti == '7')
	{
		echo "cuti khitanan";
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_khitanan='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		if($result)
	    {
			echo "cuti khitanan 1";
			//$result = mysqli_query($conn, $query);
		    header("location:cuti.php?p=1");
	    }
	    else
	    {
		    header("location:cuti.php?p=2");
		    die("Error");
	    }
	}
	else if ($jeniscuti == '8')
	{
		echo "cuti diluar tangungan";
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$cutiberapahari',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_diluar_tanggungan='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		if($result)
	    {
			echo "cuti diluar tangungan 1";
			//$result = mysqli_query($conn, $query);
		    header("location:cuti.php?p=1");
	    }
	    else
	    {
		    header("location:cuti.php?p=2");
		    die("Error");
	    }
	}
	else if ($jeniscuti == '9')
	{
		echo "cuti pernikahan anak";
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_pernikahan_anak='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		if($result)
	    {
			echo "cuti pernikahan anak 1";
			//$result = mysqli_query($conn, $query);
		    header("location:cuti.php?p=1");
	    }
	    else
	    {
		    header("location:cuti.php?p=2");
		    die("Error");
	    }
	}
	else if ($jeniscuti == '10')
	{
		echo "cuti kematian bukan keluarga yang tinggal satu rumah";
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_kematian_bukan_keluarga='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		if($result)
	    {
			echo "cuti kematian bukan keluarga";
			//$result = mysqli_query($conn, $query);
		    header("location:cuti.php?p=1");
	    }
	    else
	    {
		    header("location:cuti.php?p=2");
		    die("Error");
	    }
	}
	else if ($jeniscuti == '11')
	{
		echo "cuti melahirkan";	
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_melahirkan='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		if($result)
	    {
			echo "cuti melahirkan";
			//$result = mysqli_query($conn, $query);
		    header("location:cuti.php?p=1");
	    }
	    else
	    {
		    header("location:cuti.php?p=2");
		    die("Error");
	    }
	}
	else if ($jeniscuti == '12')
	{
		echo "cuti Melahirkan";
		
		$query = "INSERT INTO cuti_karyawan (id_data_karyawan,
	                                     alamat,
										 id_jenis_cuti,
										 sisa_cuti,
										 tanggal_awal_cuti,
										 tanggal_pengajuan_cuti,
										 alasan_cuti,
										 tanggal_akhir_cuti,
										 tanggal_lapor_cuti,
										 status)
							
							       VALUE
							             ('$id',
										  '$alamatcuti',
										  '$jeniscuti',
										  '$batas',
										  '$mulaicutitanggal',
										  '$tanggalpengajuancuti',
										  '$alasan',
										  '$masukkembalitanggal',
										  '$tanggallapor',
										  '1')";
										  
										  $query2 = "UPDATE data_karyawan SET cuti_keguguran='1' WHERE id=$id";
		 
		                                  $result = mysqli_query($conn, $query);
										  $result2 = mysqli_query($conn, $query2);
		
		if($result)
	    {
			echo "cuti keguguran 1";
			//$result = mysqli_query($conn, $query);
		    header("location:cuti.php?p=1");
	    }
	    else
	    {
		    header("location:cuti.php?p=2");
		    die("Error");
	    }
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	//echo "namanya : " . $nama;
	
	//$q="INSERT INTO kriteria (nama,id_kategori) VALUES ('$nama','$id')";
	//mysqli_query($conn,$q);
	//header("location:kriteria.php?p=1&id=".$id);
	
	//echo $q;
?>